## xmlformat 1.04

=== Makefile ===
all:

# Execute this target after "svn export" into a new directory and before
# packaging the directory for distribution.

dist-prep::
	(cd docs;make dist-prep)

clean::
	(cd tests;make clean)
	(cd docs;make clean)

test::
	@echo Test Ruby version...
	./runtest -r all
	@echo Test Perl version...
	./runtest -p all

=== docs/Makefile ===
# For the following variable, if its value is set in the environment,
# use it.  Otherwise, use value specified below.  Note that if the
# default doesn't work, you must specify an override value in the
# environment. For example, you'll likely need to provide a catalog
# file elsewhere (such as in your home directory) that provides
# pathnames that are correct for your system.

XML_CATALOG_FILES ?= ./catalog.xml

# This string must be mapped in your XML catalog file to the root
# directory of your local DocBook XSL files.  For example, you might
# have a catalog entry that looks like this:
# <rewriteSystem
#   systemIdStartString="docbook://xsl-current/"
#   rewritePrefix="file:///usr/local/sgml/docbook-xsl-1.69.1/" />

DOCBOOK_XSL = docbook://xsl-current


LN = ln -s -f
RM = rm -f

XML_VALIDATE = ./xml-validate

# Basename of main document (used for default targets of common ops)

MAINDOC_BASE = xmlformat

all::
	@echo "You must say what you want to build"
	@echo "make dist-prep: build documents for distribution"
	@echo "make doc.valid: valid XML source document"
	@echo "make doc.html: generate HTML version of document"
	@echo "make doc.pdf: generate PDF version of document"

# Generate documents in output formats that are included in distributions

dist-prep::
	make xmlformat.html xmlformat.html-chunk xmlformat.pdf
	make tutorial.html tutorial.html-chunk tutorial.pdf

valid:: $(MAINDOC_BASE).valid
html:: $(MAINDOC_BASE).html
pdf:: $(MAINDOC_BASE).pdf

# reformat document
reformat::
	../xmlformat.rb -i -b.bak $(MAINDOC_BASE).xml

# show diff between old and previous versions
diff::
	-diff -u $(MAINDOC_BASE).xml.bak $(MAINDOC_BASE).xml

all:: $(OUTPUTS) 

%.html: %.xml
	xsltproc \
		--novalid \
		--param generate.section.toc.level 2 \
		--param section.autolabel 1 \
		--param section.label.includes.component.label 1 \
		--output $@ $(DOCBOOK_XSL)/html/docbook.xsl \
		$<

%.html-chunk: %.xml
	@-mkdir $@/
	xsltproc \
		--novalid \
		--param generate.section.toc.level 8 \
		--param section.autolabel 1 \
		--param section.label.includes.component.label 1 \
		--param use.id.as.filename 1 \
		--param chunk.quietly 1 \
		--param chunk.first.sections 1 \
		--param chunk.fast 1 \
		--stringparam chunker.output.encoding "utf-8" \
		--output $@/ $(DOCBOOK_XSL)/html/chunkfast.xsl \
		$<

%.txt: %.html
	lynx -dump $< > $@

# for page margins, note that you can't set left and right as they
# will be overwritten. The default value is 1in for both.

%.fo: %.xml
	xsltproc \
		--novalid \
		--param fop.extensions 1 \
		--param section.autolabel 1 \
		--param section.label.includes.component.label 1 \
		--stringparam page.margin.inner "1in" \
		--stringparam page.margin.outer "1in" \
		--stringparam draft.mode "no" \
		--output $@ $(DOCBOOK_XSL)/fo/docbook.xsl \
		$<

%.pdf: %.fo
	fop -q $< $@

# reformat document
%.format:: %.xml
	../xmlformat.rb -i -b.bak $<

# show diff between old and previous versions
%.diff:: %.xml
	-diff -u $<.bak $<

# validate input files
%.valid: %.xml
	$(XML_VALIDATE) $<

clean:
	$(RM) *.fo *.pdf *.html
	$(RM) -R *.html-chunk

realclean: clean
	$(RM) *.bak

=== tests/Makefile ===
all:

clean::
	rm -f *.out

=== debian/changelog ===
xmlformat (1.04-3) unstable; urgency=medium

  * d/compat: Bump to compat 11
  * d/rules: remove explicit --parallel flag
  * d/copyright: Fix lintian invalid-short-name-in-dep5-copyright
  * d/control: Migrate to XML SGML Team maintenance
  * d/control: Bump Std-Vers to 4.6.0 no changes needed
  * d/control: Add Rules-Requires-Root: no
  * d/control: Incorporate Multiarch hinter suggestions

 -- Mathieu Malaterre <malat@debian.org>  Fri, 14 Jan 2022 15:21:01 +0100

xmlformat (1.04-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 16:33:26 +0100

xmlformat (1.04-2) unstable; urgency=low

  * Fix example.conf installation
  * Add upstream BUGS

 -- Mathieu Malaterre <malat@debian.org>  Mon, 01 Oct 2012 15:32:48 +0200

xmlformat (1.04-1) unstable; urgency=low

  * Initial release. (Closes: #687277)

 -- Mathieu Malaterre <malat@debian.org>  Tue, 11 Sep 2012 14:23:44 +0200

=== debian/control ===
Source: xmlformat
Section: utils
Priority: optional
Maintainer: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 11)
Build-Depends-Indep: xsltproc, fop, docbook-xsl, ruby
Homepage: http://www.kitebird.com/software/xmlformat/
Vcs-Git: https://salsa.debian.org/xml-sgml-team/xmlformat.git
Vcs-Browser: https://salsa.debian.org/xml-sgml-team/xmlformat
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: xmlformat-perl
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Provides: xmlformat
Conflicts: xmlformat
Replaces: xmlformat
Suggests: libxml2-utils
Multi-Arch: foreign
Description: XML Document Formatter
 xmlformat is a configurable formatter (or "pretty-printer") for XML documents.
 It provides control over indentation, line-breaking, and text wrapping. These
 properties can be defined on a per-element basis.
 .
 xmlformat provides improved diagnostic information when a document is not
 well-formed. (Prints line and token number, and stack trace).
 .
 This is the perl implementation

Package: xmlformat-ruby
Architecture: all
Depends: ${misc:Depends}, ruby:any
Provides: xmlformat
Conflicts: xmlformat
Replaces: xmlformat
Suggests: libxml2-utils
Description: XML Document Formatter
 xmlformat is a configurable formatter (or "pretty-printer") for XML documents.
 It provides control over indentation, line-breaking, and text wrapping. These
 properties can be defined on a per-element basis.
 .
 xmlformat provides improved diagnostic information when a document is not
 well-formed. (Prints line and token number, and stack trace).
 .
 This is the ruby implementation

Package: xmlformat-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, doc-base
Description: XML Document Formatter documentation
 xmlformat is a configurable formatter (or "pretty-printer") for XML documents.
 It provides control over indentation, line-breaking, and text wrapping. These
 properties can be defined on a per-element basis.
 .
 xmlformat provides improved diagnostic information when a document is not
 well-formed. (Prints line and token number, and stack trace).
 .
 This is the documentation for xmlformat

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

pkg_perl = xmlformat-perl
pkg_ruby = xmlformat-ruby
pkg_doc  = xmlformat-doc

override_dh_install:
	dh_install -p$(pkg_perl) xmlformat.pl usr/bin
	dh_install -p$(pkg_ruby) xmlformat.rb usr/bin
	# rename:
	mv $(CURDIR)/debian/xmlformat-perl/usr/bin/xmlformat.pl $(CURDIR)/debian/xmlformat-perl/usr/bin/xmlformat
	mv $(CURDIR)/debian/xmlformat-ruby/usr/bin/xmlformat.rb $(CURDIR)/debian/xmlformat-ruby/usr/bin/xmlformat

override_dh_installman:
	dh_installman -p$(pkg_perl) debian/xmlformat.1
	dh_installman -p$(pkg_ruby) debian/xmlformat.1

override_dh_auto_build-indep:
	$(MAKE) dist-prep

override_dh_compress:
	dh_compress -X.pdf

# ruby and perl use the same interface:
debian/xmlformat.1: debian/xmlformat.1.in
	help2man --include=debian/xmlformat.1.in \
		--output=$@ --no-info xmlformat

get-orig-source:
	uscan --verbose --force-download --rename

=== debian/watch ===
version=3
http://www.kitebird.com/software/xmlformat/xmlformat-([\d\.]+)\.tar\.gz
